Agregar servicios de Google Play al proyecto de Eclipse

He marcado varias publicaciones y artículos, pero no funciona para mí. No puedo agregar / usar los servicios de Google Play en mi proyecto.

Mis pasos:

  1. Empiezo un proyecto que utiliza el Google Api 2.2
  2. He descargado los Servicios de Google Play usando el SDK
  3. Importo los servicios de Google Play en mi espacio de trabajo de Eclipse
  4. Agregar servicios de Google Play como una dependencia en mi proyecto: Proyecto -> Propiedades -> Android -> Biblioteca, Agregar -> google-play-services_lib

Los pasos 1 a 3 están bien, pero creo que el problema está en el paso 4. Nada sucede después de que hago el paso 4, no veo ningún cambio en la estructura de mi proyecto: no se agrega ninguna biblioteca. Estos pasos también se describen aquí .

La razón por la que sé que no funciona es porque cualquier importación desde los Servicios de Google Play está dando un error no resuelto.

Descubrí que los servicios de juego libproject deben importarse en la misma unidad física que su proyecto. (Marque la casilla ‘Copiar proyectos en el espacio de trabajo’ cuando importe)

Me llevó dos días enteros averiguar cuál era el problema, pero ahora está resuelto.

El problema es con la versión de 64 bits de ADT y Java. Eclipse no importa bibliotecas correctamente con las versiones de 64 bits.

Así que reinstalé Java 6 v 37 jdk (32 bit) y luego descargué la versión de 32 bit de ADT para ir con ella. Hice esto AUN AUNQUE TENGO UN SISTEMA DE 64 BITS

De todos modos, seguí el mismo procedimiento que había fallado con las versiones de 64 bits. Y funcionó perfectamente – primera vez.

Así que ese es mi consejo: USTED DEBE USAR UNA VERSIÓN DE 32 BITS DE JAVA Y ADT, porque el bit de 64 bits contiene problemas de incompatibilidad con Eclipse para importar la Biblioteca de Servicios de Google Play, y probablemente también otras bibliotecas.

PD. Seguí los pasos de instalación para Google Play Services descritos en developer.android.com

Debo añadir que el sitio develop.android pasa por alto un hecho importante: que el mapa xml debe estar dentro de un diseño lineal o relativo. No funciona a menos que esté dentro de un diseño de contenedor como estos

Lo que pasa es que también debe modificar el archivo manifest.xml. Después de importar (con copia) al espacio de trabajo, eclipse generará un error sobre la plataforma de SDK dirigida. Por defecto, el archivo de manifiesto incluye solo la versión mínima de sdk como 8.

Tuve el mismo problema y otros dos pasos adicionales 5-6 resolvieron esto en Eclipse Juno 4.2.2:
1. importe google-play-services_lib como un proyecto de Android existente (marque “Copiar proyectos en el espacio de trabajo”)
2. Limpiar proyecto recién agregado de google-play-services_lib
3. edite las propiedades de su proyecto y añádale un proyecto de biblioteca
4. Limpia tu proyecto
5. reiniciar Eclipse y ahora había google-play-services.jar ahora agregado con éxito
6. Incluso tuve que agregar manualmente “import com.google.android.gms.common.GooglePlayServicesUtil” en mi clase Java para usar GooglePlayServicesUtil.isGooglePlayServicesAvailable (context); porque Eclipse no ofreció agregar la importación automáticamente